<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">

<%-- Get top level common setup --%>
<%@ include file="dtSetup.jsp" %>

<%-- Obtain the container in taglib context --%>
<dt:obtainContainer container="$JSPProvider">

<%-- main wml deck for desktop --%>
<wml>

<jx:choose>
<jx:when test="$hasMaximizedChannel == false">

<%-- first card of deck --%>
<card id="desktop" title="<dtpc:getStringProperty key="productName"/>">

  <%-- Set the softkeys --%>
  <do type="accept" label="表示">
    <go href="#channelMenu"/>
  </do>

  <do type="options" label="ログイン">
    <go href="<dtpc:getLoginURL/>"/>
  </do>

  <%-- Logo and product section --%>
  <%-- logo.jsp --%>
  <p align="left">
    <img alt="<dtpc:getStringProperty key="productName"/>" src="<dt:scontent/>/images/MAP/<%=imageName%>"/>
  </p>

  <%-- main menu --%>
  <p align="left">
    <select name="channelMenu">
      <jx:choose>
        <jx:when test="$channelsAreMinimized == false">
          <%@ include file="channelMenuSection.jsp" %>
        </jx:when>
        <jx:otherwise>
          <%@ include file="minimizedChannelMenuSection.jsp" %>
        </jx:otherwise>
      </jx:choose>
      <%--
      <option onpick="<dtpc:getLogoutURL/>">ログイン</option>
      --%>
    </select>
  </p>

</card>

<%-- Channels cards only if channels are not minimized --%>
<jx:if test="$channelsAreMinimized == false">
  <%@ include file="channelsCards.jsp" %>
</jx:if>

</jx:when>
<jx:otherwise>

<dtcpc:obtainChannelFromContainer channel="$maximizedChannel">
<card id="max" title="<dt:getTitle/>">
</dtcpc:obtainChannelFromContainer>
<dtcpc:getContent channel="$maximizedChannel"/>
</card>

</jx:otherwise>
</jx:choose>

</wml>

</dt:obtainContainer>
