<%@ page contentType="text/html; charset=UTF-8" %>

<%-- Get top level common setup --%>
<%@ include file="dtSetup.jsp" %>

<%-- Obtain the container in taglib context --%>
<dt:obtainContainer container="$JSPProvider">

<%-- main deck for desktop --%>
<AmlDocument>

<%-- Present channels inline if no maximized channels are present --%>
<jx:choose>
<jx:when test="$hasMaximizedChannel == false">

<%-- first card of deck --%>
<AmlPage prev_label="无" next_label="无">


  <%-- Logo and product section --%>
  <%-- logo.jsp --%>
  <AmlImage alt="<dtpc:getStringProperty key="productName"/>" src="<dt:scontent/>/images/MAP/<%=imageName%>" />
  <AmlBr/>

  <%-- main menu --%>
  <jx:if test="$channelsEmpty == false">
  <AmlChoice value="" name="channelMenu" wml_select_label="查看">
      <jx:choose>
        <jx:when test="$channelsAreMinimized == false">
          <%@ include file="channelMenuSection.jsp" %>
        </jx:when>
        <jx:otherwise>
	  <%@ include file="minimizedChannelMenuSection.jsp" %>
        </jx:otherwise>
      </jx:choose>
    </AmlChoice>
  </jx:if>
  <AmlBr/>
  <AmlBr/>
</AmlPage>

<%-- Channels cards only if inline is true--%>
<jx:if test="$channelsAreMinimized == false">
  <%@ include file="channelsCards.jsp" %>
</jx:if>

</jx:when>

<%-- Display the maximized channel only --%>
<jx:otherwise>
   <dtcpc:obtainChannelFromContainer channel="$maximizedChannel">
	<AmlPage id="max" title="<dt:getTitle/>" next_label="无" prev_label="无" menu_pos="bottom">
   </dtcpc:obtainChannelFromContainer>
	<dtcpc:getContent channel="$maximizedChannel"/>
	</AmlPage>

  </jx:otherwise>
</jx:choose>

</AmlDocument>
</dt:obtainContainer>
