<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%--
  Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  Use is subject to license terms.
--%>
<%-- edit.jsp  --%>

<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider" %>
<%@ page import="com.sun.portal.desktop.util.I18n"%>
<%
    String errorMsg = I18n.IURLDecode(request.getParameter("error"));
%>

<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>


<%@ page session="false" %>

<%
       String targetChannel = request.getParameter("targetprovider");
       String editChannelName = request.getParameter("provider");
       pageContext.setAttribute( "targetChannel", targetChannel );
       JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
       String parentContainer = scp.getProviderContext().getDefaultChannelName();
       String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);

%>
<dt:obtainContainer container="$JSPProvider">

  <dtcpc:containerProviderContext>
    <dtcpc:obtainChannelFromContainer channel="$targetChannel">

      <dtpc:providerContext>
        <dt:getEditType id="edittype"/>
         <jx:choose>
          <jx:when test="$edittype == 4">
            <dt:getEdit/>
          </jx:when>
          <jx:otherwise>
            <wml>
            <template>
                <onevent type="onenterforward">
                    <refresh>
                        <setvar name="dturl" value="<dtpc:getDesktopURL/>"/>
                        <setvar name="action" value="process"/>
                        <setvar name="provider" value="<%= targetChannel%>"/>
                        <setvar name="targetprovider" value="<%= editChannelName%>"/>
                    </refresh>
                </onevent>
                <onevent type="onenterbackward">
                    <refresh>
                        <setvar name="dturl" value="<dtpc:getDesktopURL/>"/>
                        <setvar name="action" value="process"/>
                        <setvar name="provider" value="<%= targetChannel%>"/>
                        <setvar name="targetprovider" value="<%= editChannelName%>"/>
                    </refresh>
                </onevent>
             </template>

             <%
              if (errorMsg != null) {
             %>
                 <card id="dterrorcard" label="エラー">
                     <p>
                        <b><%=errorMsg%>"<b/>
                     </p>
                     <do type="prev" label="戻る">
                        <prev/>
                     </do>
                 </card>
             <%
              }  else {
             %>
                <dt:getEdit/>
             <%
              }
             %>
             </wml>
          </jx:otherwise>
        </jx:choose>
      </dtpc:providerContext>
    </dtcpc:obtainChannelFromContainer>
  </dtcpc:containerProviderContext>
</dt:obtainContainer>
