<?xml version="1.0" encoding="UTF-8"?>

<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.

  $RCSfile: stockquote.xsl,v $ $Revision: 1.2 $ $Date: 2003/08/04 19:43:10 $
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<!-- This is an xsl to produce nokia stockquote in wml -->

<xsl:output omit-xml-declaration="yes" indent="yes"/>

<xsl:template match="/">
   <p>
   <xsl:for-each select="market-data/quote-set/quote">

     <b><xsl:value-of select="./@name"/></b>
     <br/>
     <b><xsl:value-of select="./@exchange-code"/>, <xsl:value-of select="./@hyperfeed-time"/> </b>
     <br/>

     <b>기호:</b>
     <xsl:value-of select="./@symbol"/>
     <br/>

     <b>마지막:</b>
     <xsl:value-of select="./@last"/>
     <br/>

     <b>열기:</b>
     <xsl:value-of select="./@open"/>
     <br/>

     <b>변경:</b>
     <xsl:value-of select="./@change"/>
     <br/>

     <b>볼륨:</b>
     <xsl:value-of select="./@volume"/>
     <br/>

     <b>일일 고가:</b>
     <xsl:value-of select="./@high"/>
     <br/>

     <b>일일 저가:</b>
     <xsl:value-of select="./@low"/>
     <br/>

   </xsl:for-each>
   </p>
</xsl:template>
</xsl:stylesheet>
