<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- front.jsp --%>

<%@ page session="false" %>

<%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Enumeration"%>

<%--  check if it is a popup --%>
<dt:obtainContainer container="$JSPProvider">
  <dttable:tableContainerProvider>
    <dt:getName id="containerName" scope="request"/>
        <dttable:isPopup id="isPopup"/>

<jx:choose>
  <jx:when test="$isPopup == true">
  <jsp:include page="popup.jsp" flush="true"/>
  </jx:when>
  <jx:otherwise>

<jsp:include page="toolbarRollovers.js" flush="true"/>

<jsp:include page="launchPopup.jsp" flush="true"/>

    <dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
    <dtpc:getCollectionProperty key="borderlessChannels" id="borderlessChannels" scope="request"/>
    <dtpc:getProviderVersion id="version" scope="request"/>
      <dt:getSelectedChannels id="selectedChannel"/>


    <jx:if test="$version > 1">
        <dtpc:getStringProperty key="maximizedChannel" id="maximizedChannel" scope="request"/>
    </jx:if>

<%
       String containerName = (String)pageContext.getAttribute("containerName", PageContext.REQUEST_SCOPE);
       String fontFace1 = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);
       Map borderlessChannels = (Map)pageContext.getAttribute("borderlessChannels", PageContext.REQUEST_SCOPE);
       String maximizedChannel = "";
       int version = ((Integer)pageContext.getAttribute("version", PageContext.REQUEST_SCOPE)).intValue();
       if (version > 1) {
          maximizedChannel = (String)pageContext.getAttribute("maximizedChannel", PageContext.REQUEST_SCOPE);
       }
       List selectedChannels = (List)pageContext.getAttribute("selectedChannel");
       if (!selectedChannels.contains(maximizedChannel)) {
         maximizedChannel = "";
         pageContext.setAttribute("maximizedChannel", maximizedChannel);
       }
       Boolean hasMaximizedChannel = new Boolean(maximizedChannel != null && maximizedChannel.length() != 0);
%>



<!--begin toolbar -->

<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
    <tr>
      <td bgcolor="#333366"><img src="<dt:scontent/>/desktop/images/nothing.gif" width="1" height="2" alt=""></td>
    </tr>

    <tr>
      <td bgcolor="#000000"  NOWRAP><img src="<dt:scontent/>/desktop/images/nothing.gif" width="1" height="2" alt=""></td>
    </tr>
    <tr>
      <td bgcolor="#9999CC">
        <table border="0" cellspacing="0" cellpadding="2" onMouseOver="highlightCell(event.target)"
onMouseOut="resetCellColor(event.target)">
          <tr>
            <td NOWRAP>&nbsp;&nbsp;&nbsp;<a href="<dtpc:getDesktopURL/>?action=edit&provider=JSPContentContainer&container=<%=containerName%>" class="noUnderline"><font color="#000000" face="<%=fontFace1%>" size="-1">内容</font></a>&nbsp;&nbsp;&nbsp;</td>
            <td NOWRAP>&nbsp;&nbsp;&nbsp;<a href="<dtpc:getDesktopURL/>?action=edit&provider=JSPLayoutContainer&container=<%=containerName%>" class="noUnderline"><font color="#000000" face="<%=fontFace1%>" size="-1">布局</font></a>&nbsp;&nbsp;&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td bgcolor="#000000"><img src="<dt:scontent/>/desktop/images/nothing.gif" width="1" height="2" alt=""></td>
    </tr>    
</TABLE>

<!--end toolbar -->

<%
        pageContext.setAttribute( "hasChannel", new Boolean( selectedChannels.size()>0));
        pageContext.setAttribute( "hasMaximizedChannel", hasMaximizedChannel);
%> 
      <dttable:getContent id="contentMap" scope="request"/>
<TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0>
<TR><TD BGCOLOR="333366">

        <jx:choose>
        <jx:when test="$hasChannel == 'false'">

             警告：无可用的编写程序！！


        </jx:when>
        <jx:when test="$hasMaximizedChannel == true">
          <jsp:include page="tablemaximized.jsp" flush="true"/>
        </jx:when>
        <jx:otherwise>

<!-- BEGIN FULL  TOP CHANNELS -->
<dttable:getColumns id="channels" column="top" scope="request"/>
<jsp:include page="tabletopbottom.jsp" flush="true"/>
<!-- END TOP CHANNELS -->

<TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=4>
<TR>
<!-- BEGIN LEFT CHANNELS -->
<dttable:getColumns id="channels" column="left" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="left"/>
</jsp:include>
<!-- END LEFT CHANNELS -->

<!-- BEGIN CENTER CHANNELS -->
<dttable:getColumns id="channels" column="center" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="center"/>
</jsp:include>
<!-- END CENTER CHANNELS -->

<!-- BEGIN RIGHT CHANNELS -->
<dttable:getColumns id="channels" column="right" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="right"/>
</jsp:include>
<!-- END RIGHT CHANNELS -->

</TR></TABLE>
<!-- BEGIN FULL BOTTOM CHANNELS -->
<dttable:getColumns id="channels" column="bottom" scope="request"/>
<jsp:include page="tabletopbottom.jsp" flush="true"/>
<!-- END BOTTOM CHANNELS -->

</jx:otherwise>
</jx:choose>

</TD></TR>
<TR><TD BGCOLOR="#FFFFFF"><img src="<dt:scontent/>/images/spacer.gif" width="0" height="1" ALT=""></TD></TR>
</TABLE>

 </jx:otherwise>
</jx:choose>

  </dttable:tableContainerProvider>
</dt:obtainContainer>
