<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%--
Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
--%>

<wml>

  <%@ page session="false" %>

<%-- layoutdoedit.jsp --%>
<%@ page import="java.util.HashMap" %>
<%@ page import="com.sun.portal.providers.Provider" %>
<%@ page import="com.sun.portal.providers.context.ContainerProviderContext"%>
<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider" %>
<%@ page import="com.sun.portal.wireless.providers.containers.jsp.list.JSPNativeContainerProvider"%>

<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%
  // Get the request params
  String container     = (String)request.getParameter("container");
  String provider      = (String)request.getParameter("provider");
  String moveUpChannel = (String)request.getParameter("moveUp");
  String moveDnChannel = (String)request.getParameter("moveDown");
  String nextURL       = (String)request.getParameter("nextURL");
  HashMap qmap = new HashMap();
  qmap.put("action", "edit");
  qmap.put("container", container);
  qmap.put("provider", provider);
%>
<%--
  <jx:set var="container" value="<%=container%>"/>
  <jx:set var="provider" value="<%=provider%>"/>
--%>

<% if (nextURL != null) { %>
    <jx:set var="nextURL" value="<%=nextURL%>"/>
        
<% } %>

<%
    // Get the necessary containers
    JSPSingleContainerProvider scp = (JSPSingleContainerProvider)
                                pageContext.getAttribute("JSPProvider");

    ContainerProviderContext cpc = scp.getContainerProviderContext();
    JSPNativeContainerProvider wcp = (JSPNativeContainerProvider)
                                cpc.getProvider(request, scp.getName(),container);

  // Get the container to perform the work
  if (moveUpChannel != null) {
    wcp.upRow(request, moveUpChannel);

  } else if (moveDnChannel != null) {
    wcp.downRow(request, moveDnChannel);
  }

  // Forward to next url 
  if (nextURL != null) { 
      response.sendRedirect(nextURL);

  } else {
      nextURL = cpc.getDesktopURL(request, qmap, null, false);
      response.sendRedirect(nextURL);
  } %>

    <%-- added for nokia gateways --%>
    <card id="LayoutRedirect" title="重定向布局">
        <do type="prev" label="返回">
            <prev/>
        </do>
        <br/>
        <p align="left" mode="nowrap">
            <b>重新定向到 url <%=nextURL%></b>
        </p>
    </card>
</wml>

