<%@ page contentType="text/html; charset=UTF-8" %>
<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- contentedit.jsp --%>

<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<%@ include file="colorselector.html"%>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider" %>

<%@ page session="false" %>

<% ArrayList fontList = new ArrayList();
   fontList.add( "Arial" );
   fontList.add( "Helvetica" );
   fontList.add( "Sans-serif" );
   fontList.add( "Verdana" );
   pageContext.setAttribute( "fontList", fontList );
   JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
   String parentContainer = scp.getProviderContext().getDefaultChannelName();
   String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);

%>

<dt:obtainContainer container="$JSPProvider">
<SCRIPT LANGUAGE="JavaScript">

    // "#" is a reserve character in URLs, so we need to escape it

    function escapeLeadingPound( color ) {
         return color.replace( /#/, "%23" );
    }

    function previewURL() {
       var URL = "<dtpc:getDesktopURL/>?action=edit&provider=JSPCustomThemeContainer";
       URL += "&bgColor=" + escapeLeadingPound(document.edit_form.bgColor.value);
       URL += "&titleBarColor=" + escapeLeadingPound(document.edit_form.titleBarColor.value);
       URL += "&fontColor=" + escapeLeadingPound(document.edit_form.fontColor.value);
       URL += "&borderColor=" + escapeLeadingPound(document.edit_form.borderColor.value);
       URL += "&borderWidth=" + document.edit_form.borderWidth.value;
       URL += "&fontFace=" + document.edit_form.fontFace.options[document.edit_form.fontFace.selectedIndex].value;
       URL += "&fontSize=" + document.edit_form.fontSize.value;
       location = URL;
    }

    function resetValues() {
        document.edit_form.bgColor.value = "<dttheme:getAttribute name="bgColor"/>";
        document.edit_form.titleBarColor.value = "<dttheme:getAttribute name="titleBarColor"/>";
        document.edit_form.fontColor.value = "<dttheme:getAttribute name="fontColor"/>";
        document.edit_form.borderColor.value = "<dttheme:getAttribute name="borderColor"/>";
        document.edit_form.borderWidth.value = "<dttheme:getAttribute name="borderWidth"/>";
        document.edit_form.fontSize.value = "<dttheme:getAttribute name="fontSize" default="+0"/>";

        var fontFaceSelect = document.edit_form.fontFace;
        for ( i = 0 ; i<fontFaceSelect.length; i++ ) {
            if( fontFaceSelect.options[i].value == "<dttheme:getAttribute name="fontFace"/>" ) {
 
                fontFaceSelect.selectedIndex = i;
            }
        }
    }

</SCRIPT>

<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceHeader.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) { 
%>
<jsp:include page="tabPreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceHeader.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultHeader.jsp" flush="true"/>
<%
}
%>

<FORM ACTION="<dtpc:getDesktopURL/>" TARGET="_parent" METHOD="POST" NAME="edit_form" ENCTYPE="application/x-www-form-urlencoded" >
<INPUT TYPE=HIDDEN NAME="action" SIZE=-1 VALUE="process">
<INPUT TYPE=HIDDEN NAME="provider" SIZE=-1 VALUE="JSPCustomThemeContainer">

  <dtpc:providerContext>

    <dttheme:getSelectedName id="currentTheme"/>
    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR>
        <TD ALIGN="CENTER">
          <CENTER>
        <P>
        <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
          <TR>
            <TD COLSPAN="2" VALIGN="TOP" BGCOLOR="<dttheme:getAttribute name="tabColor" default="#666699"/>"><FONT SIZE="+0" COLOR="<dttheme:getAttribute name="tabFontColor" default="#FFFFFF"/>" FACE="Verdana,Arial,Helvetica,sans-serif">
            <B>Benutzerdefiniertes Thema</B></FONT></TD>
          </TR>
          <TR>
            <TD ALIGN="RIGHT" COLSPAN="2"><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif"><B>
            <A HREF="<dtpc:getDesktopURL/>?action=edit&provider=JSPPresetThemeContainer">
            Voreingestellte Themen</A> &nbsp;|&nbsp;
            Benutzerdefiniertes Thema
            </TD></FONT>
          </TR>
          <TR>
            <TD COLSPAN="2" BGCOLOR="#FFFFFF"><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
                Farben: Wählen Sie links ein Element, und ändern Sie seine Farbe, indem Sie rechts auf die Farbtafel klicken.

            </TD></FONT>
          </TR>
          <TR>
            <TD COLSPAN="2">


             <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
             <TR><TD>
              <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
                <TR>
                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="background"><INPUT TYPE=RADIO NAME="colorSelect" onClick="SetAttribute('bgColor')" CHECKED> 
              Hintergrund </LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="bgColor" size="10" value="<dttheme:getAttribute name="bgColor"  requestOverride="true"/>" ID="background">
                  </TD>

                </TR>
                <TR>
                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="titlebar"><INPUT TYPE=RADIO NAME="colorSelect" onClick="SetAttribute('titleBarColor')">
              Titelleiste</LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="titleBarColor" size="10" value="<dttheme:getAttribute name="titleBarColor" requestOverride="true"/>" ID="titlebar">
                  </TD>
                </TR>
                <TR>

                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="font"><INPUT TYPE=RADIO NAME="colorSelect" onClick="SetAttribute('fontColor')"> 
              Schriftart</LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="fontColor" size="10" value="<dttheme:getAttribute name="fontColor" requestOverride="true"/>" ID="font">
                  </TD>
                </TR>
                <TR>

                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="channelborder"><INPUT TYPE=RADIO NAME="colorSelect" onClick="SetAttribute('borderColor')">
              Kanalrahmen</LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="borderColor" size="10" value="<dttheme:getAttribute name="borderColor" requestOverride="true"/>" ID="channelborder">
                  </TD>
                </TR>
              </TABLE>
                </TD>
                <TD valign="top">
<a href="webpal.map"><IMG SRC="<dt:scontent/>/desktop/images/cube.gif" WIDTH=292 HEIGHT=196 BORDER=0 ALT="" USEMAP="#map_webpal" ISMAP></A>
                </TD>
              </TR>

              <TR><TD>
              <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
          <TR>
            <TD COLSPAN="2" BGCOLOR="#FFFFFF"><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
                Weitere Attribute:


            </TD></FONT>
          </TR>
                <TR>

                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="channelborderwidth"> Kanalrahmenbreite </LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="borderWidth" size="10" value="<dttheme:getAttribute name="borderWidth" requestOverride="true"/>" ID="channelborderwidth">
                  </TD>
                </TR>
                <TR>

                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif"><LABEL FOR="fontFace">
              Schriftbild
                  </LABEL></TD></FONT>
                  <TD>
              <dttheme:getAttribute name="fontFace" id="selectedFont" requestOverride="true"/>
              <select name="fontFace" size="1" ID="fontFace">

                <jx:forEach var="font" items="$fontList">
                  <jx:declare id="font" type="java.lang.String"/>
                  <jx:choose>
                    <jx:when test="$selectedFont==font">
                       <option value="<%=font%>" SELECTED><%=font%>
                    </jx:when>
                    <jx:otherwise>
                       <option value="<%=font%>"><%=font%>
                    </jx:otherwise>
                  </jx:choose>

                </jx:forEach>
              </select>
                  </TD>
                </TR>
                <TR>

                  <TD><FONT SIZE="+0" FACE="Verdana,Arial,Helvetica,sans-serif">
              <LABEL FOR="fontSize"> Schriftgröße </LABEL>
                  </TD></FONT>
                  <TD>
              <input type=text name="fontSize" size="10"
              value="<dttheme:getAttribute name="fontSize" default="+0" requestOverride="true"/>" ID="channelFontSize">
                  </TD>
                </TR>
              </TD></TR>
              </TABLE>
              <TR><TD>&nbsp;&nbsp;</TD></TR>
              <TR>
                <TD>

<a href="javascript:previewURL()">Vorschau</a>
                </TD>
                <TD align="left">
<%@ include file="themepreview.jsp" %>
                </TD>
              </TR>

            </TABLE>

            </TD>
          </TR>
            </TABLE>
            </CENTER>
        </TD></FONT>
    </TR>
</TABLE>



<BR>
<CENTER>
<INPUT TYPE=SUBMIT NAME="Submit" VALUE="Fertig" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
<INPUT TYPE=BUTTON ONCLICK="resetValues();" VALUE="Zurücksetzen" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
<INPUT TYPE=BUTTON ONCLICK="top.document.location.href='<dtpc:getDesktopURL/>'" VALUE="Abbrechen" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
</CENTER>
<BR>
</TD>
</TR>
</TABLE>
</FORM>
</CENTER>

<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceMenubar.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) { 
%>
<jsp:include page="tabPreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceMenubar.jsp" flush="true"/>
<% 
} else {
%>
<jsp:include page="defaultMenubar.jsp" flush="true"/>
<%
}
%>
<%@ include file="footer.html" %>

  </dtpc:providerContext>
</dt:obtainContainer>
