<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- front.jsp --%>

<%@ page session="false" %>

<%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Enumeration"%>

<jsp:include page="toolbarRollovers.js" flush="true"/>

<dt:obtainContainer container="$JSPProvider">
  <dttable:tableContainerProvider>
    <dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
    <dtpc:getCollectionProperty key="borderlessChannels" id="borderlessChannels" scope="request"/>
      <dt:getName id="containerName" scope="request"/>

<%
       String fontFace1 = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);
       String containerName = (String)pageContext.getAttribute("containerName", PageContext.REQUEST_SCOPE);
       Map borderlessChannels = (Map)pageContext.getAttribute("borderlessChannels", PageContext.REQUEST_SCOPE);

%>


<!--begin toolbar -->

<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
    <tr>
      <td bgcolor="<dttheme:getAttribute name="titleBarColor"/>"><img src="<dt:scontent/>/desktop/images/nothing.gif" width="1" height="3" alt=""></td>
    </tr>

</TABLE>

<!--end toolbar -->

      <dt:getSelectedChannels id="selectedChannel"/>  
<% 
        pageContext.setAttribute( "hasChannel", new Boolean( ((List)pageContext.getAttribute( "selectedChannel" )).size()>0)); 
%>
      <dttable:getContent id="contentMap" scope="request"/>
<TABLE WIDTH=100% BORDER=0 CELLPADDING=5 CELLSPACING=0>
<TR><TD BGCOLOR="<dttheme:getAttribute name="tableBgColor" default="#333366"/>">

        <jx:choose>
        <jx:when test="$hasChannel == 'false'">

             ADVERTENCIA: No hay ningún proveedor disponible.

        </jx:when>
        <jx:otherwise>

<!-- BEGIN FULL  TOP CHANNELS -->
<dttable:getColumns id="channels" column="top" scope="request"/>
<jsp:include page="tabletopbottom.jsp" flush="true"/>
<!-- END TOP CHANNELS -->

<TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=4>
<TR>
<!-- BEGIN LEFT CHANNELS -->
<dttable:getColumns id="channels" column="left" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="left"/>
</jsp:include>
<!-- END LEFT CHANNELS -->

<!-- BEGIN CENTER CHANNELS -->
<dttable:getColumns id="channels" column="center" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="center"/>
</jsp:include>
<!-- END CENTER CHANNELS -->

<!-- BEGIN RIGHT CHANNELS -->
<dttable:getColumns id="channels" column="right" scope="request"/>
<jsp:include page="tablecolumn.jsp" flush="true">
  <jsp:param name="columnName" value="right"/>
</jsp:include>
<!-- END RIGHT CHANNELS -->

</TR></TABLE>
<!-- BEGIN FULL BOTTOM CHANNELS -->
<dttable:getColumns id="channels" column="bottom" scope="request"/>
<jsp:include page="tabletopbottom.jsp" flush="true"/>
<!-- END BOTTOM CHANNELS -->

</jx:otherwise>
</jx:choose>

</TD></TR>
<TR><TD BGCOLOR="#FFFFFF"><img src="<dt:scontent/>/images/spacer.gif" width="0" height="1" ALT=""></TD></TR>
</TABLE>

  </dttable:tableContainerProvider>
</dt:obtainContainer>
