<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- tckcontainer.jsp --%>

<%@ page session="false" %>

<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%@ page import="java.util.List"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Enumeration"%>
<%@ page import="com.sun.portal.providers.containers.tck.TCKContainerProvider"%>

<jsp:include page="toolbarRollovers.js" flush="true"/>

<jsp:include page="header.jsp" flush="true"/>

<dt:obtainContainer container="$JSPProvider">
    <dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
    <dtpc:getStringProperty key="maximizedChannel" id="maximizedChannel" scope="request"/>     

      <dt:getName id="containerName" scope="request"/>

<%
       TCKContainerProvider tckcp = (TCKContainerProvider)pageContext.getAttribute("JSPProvider");
       String fontFace1 = (String)pageContext.getAttribute("fontFace1", PageContext.REQUEST_SCOPE);
       int timeout = tckcp.getTimeout();
       String containerName = (String)pageContext.getAttribute("containerName", PageContext.REQUEST_SCOPE);
       String maximizedChannel = (String)pageContext.getAttribute("maximizedChannel", PageContext.REQUEST_SCOPE);
       List selectedChannels = tckcp.getSelectedChannels(request);
       if (!selectedChannels.contains(maximizedChannel)) {
         maximizedChannel = "";
         pageContext.setAttribute("maximizedChannel", maximizedChannel);
%>
<dtpc:setStringProperty key="maximizedChannel" value="$maximizedChannel"/>
<%
       }
       Boolean hasMaximizedChannel = new Boolean(maximizedChannel != null && maximizedChannel.length() != 0);
       Map contentMap = tckcp.getContainerProviderContext().getContent(request, response, tckcp.getName(), selectedChannels, timeout);
       pageContext.setAttribute("contentMap", contentMap, PageContext.REQUEST_SCOPE);
       pageContext.setAttribute("channels", selectedChannels, PageContext.REQUEST_SCOPE);
       pageContext.setAttribute( "hasChannel", new Boolean(selectedChannels.size()>0)); 
       pageContext.setAttribute( "hasMaximizedChannel", hasMaximizedChannel); 
 
       Map providerCmdsMap = tckcp.getProviderCommands(request);
       pageContext.setAttribute("providerCmdsMap", providerCmdsMap, PageContext.REQUEST_SCOPE);
       
       Map borderlessChannels = tckcp.getMapProperty("borderlessChannels");
       boolean defaultBorderless = tckcp.getBooleanProperty("defaultBorderlessChannel");
       Map borderlessMap = tckcp.getBooleanValuesFromMap(selectedChannels, borderlessChannels, defaultBorderless);
       pageContext.setAttribute( "borderlessMap", borderlessMap, PageContext.REQUEST_SCOPE);
       
       Map channelsIsMinimized = tckcp.getMapProperty("channelsIsMinimized");
       boolean defaultIsMinimized = tckcp.getBooleanProperty("defaultChannelIsMinimized");
       Map IsMinimizedMap = tckcp.getBooleanValuesFromMap(selectedChannels, channelsIsMinimized, defaultIsMinimized);
       pageContext.setAttribute( "IsMinimizedMap", IsMinimizedMap, PageContext.REQUEST_SCOPE);
       
       Map channelsHasFrame = tckcp.getMapProperty("channelsHasFrame");
       boolean defaultHasFrame = tckcp.getBooleanProperty("defaultChannelHasFrame");
       Map hasFrameMap = tckcp.getBooleanValuesFromMap(selectedChannels, channelsHasFrame, defaultHasFrame);
       pageContext.setAttribute( "hasFrameMap", hasFrameMap, PageContext.REQUEST_SCOPE);
%>
<TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0>
<TR><TD BGCOLOR="333366">

        <jx:choose>
        <jx:when test="$hasChannel == 'false'">

             WARNUNG: Es ist kein Anbieter verfügbar!


        </jx:when>
        <jx:when test="$hasMaximizedChannel == true">
          <jsp:include page="tablemaximized.jsp" flush="true"/>
        </jx:when>
        <jx:otherwise>

<TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=4>
<TR>

<!-- BEGIN CENTER CHANNELS -->
<jsp:include page="tablecolumn.jsp" flush="true"/>
<!-- END CENTER CHANNELS -->
<TD WIDTH="40%" VALIGN="top">
</TD>
</TR></TABLE>
</jx:otherwise>
</jx:choose>

</TD></TR>
<TR><TD BGCOLOR="#FFFFFF"><img src="<dt:scontent/>/images/spacer.gif" width="0" height="1" ALT=""></TD></TR>
</TABLE>
</dt:obtainContainer>
<jsp:include page="menubar.jsp" flush="true"/>
