<%@ page contentType="text/html; charset=UTF-8" %>
<%--
    PROPRIETARY/CONFIDENTIAL. Use of this product is subject to license terms.
    Copyright 2003 Sun Microsystems, Inc. All rights reserved.
--%>

<%@ include file="contentSetup.jsp" %>

<dt:obtainContainer container="$wireless">

  <%-- The presentation of content edit page --%>
  <AmlDocument>
   <jx:choose>
    <jx:when test="$hasAvailableChannels == true" >

        <AmlPage  id="contentPage" bold="true" title="Canaux de sélection du contenu" menu_pos="bottom">

            <AmlForm method="post" url="<dtpc:getDesktopURL/>" submit_label="Achevé(e)">
                <AmlChoice  value="" name="content" 
                            mode="multiple" 
                            wml_select_label="Achevé(e)" 
                            scroll_size="<%=numChannels%>" >

                    <jx:forEach var="channel" items="$availableChannels">
                        <jx:set var="stat" value="false"/>
                        <% if(((List) pageContext.getAttribute("selectedChannels")).
                                contains(pageContext.getAttribute("channel"))) { 
                        %>
                            <jx:set var="stat" value="true"/>

			            <% } %>

                        <dtcpc:obtainChannelFromContainer channel="$channel">
                            <AmlOption  selected="<%=pageContext.getAttribute("stat")%>" 
                                        value="<dt:getName/>" 
                                        text="<dt:getTitle/>"/>
                        </dtcpc:obtainChannelFromContainer>
                    </jx:forEach>
                </AmlChoice>

                <AmlInput name="action"    view="hidden" value="process"/>
                <AmlInput name="container" view="hidden" value="<%=container%>"/>
                <AmlInput name="provider"  view="hidden" value="JSPRenderingContentChannel"/>
            </AmlForm>
      </AmlPage>
    </jx:when>  
    <jx:otherwise>
      <AmlPage  id="empty_content" bold="true" menu_pos="bottom" title="Canaux de sélection du contenu">
          <AmlBr/>
          <AmlText bold="true" text="Aucun canal à sélectionner"/>
          <AmlControlMenu type="accept" url="<dtpc:getDesktopURL/>" label="Accueil"/>
      </AmlPage>
    </jx:otherwise>
   </jx:choose>
  </AmlDocument>
</dt:obtainContainer>
