<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="contentSetup.jsp" %>

<dt:obtainContainer container="$wireless"> 

<%@ include file="adjustChannelList.jsp" %>

<%-- The presentation of content edit page --%>

<wml>

  <jx:choose>
    <jx:when test="$hasAvailableChannels == true">
    <card id="contentSelection" title="コンテンツの選択">
        <onevent type="onenterforward">
        <refresh>
            <setvar name="contentList" value=""/>
        </refresh>
        </onevent>

        <p><b>チャネルを表示:</b></p>
        <p align="left">
        <select name="contentList" value="<%=selectedChannelsBuf.toString()%>" multiple="true">
            <jx:forEach var="channel" items="$availableChannels">
                <dtcpc:obtainChannelFromContainer channel="$channel">
                    <option value="<dt:getName/>"><dt:getTitle/></option>
                </dtcpc:obtainChannelFromContainer>
            </jx:forEach>
        </select>
        </p>

        <do type="accept" label="完了">
        <go href="<dtpc:getDesktopURL/>" method="post">
            <postfield name="action" value="process"/>
            <postfield name="provider" value="WirelessJSPContentChannel"/>
            <postfield name="container" value="<%=container%>"/>
            <postfield name="content" value="$(contentList)"/>
        </go>
        </do>
    </card>
    </jx:when>
    <jx:otherwise>
        <card id="empty_content" title="コンテンツの選択">
            <do type="prev" label="戻る">
                <prev/>
            </do>
            <p align="left" mode="nowrap">
                <b>選択できるチャネルがありません</b>
            </p>
        </card>
    </jx:otherwise>
  </jx:choose>
</wml>

</dt:obtainContainer>
