<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%--   
 Copyright 2003 Sun Microsystems, Inc. All rights reserved
 Use is subject to license terms.
--%>
<%-- wireless.jsp --%>

<%-- Get top level common setup --%>
<%@ include file="dtSetup.jsp" %>

<%-- Obtain the container in taglib context --%>
<dt:obtainContainer container="$JSPProvider">

<%-- main wml deck for desktop --%>
<wml>

<%-- Template for back button --%>
<template>
  <do type="prev" label="戻る">
    <prev/>
  </do>
</template>

<jx:choose>
<jx:when test="$hasMaximizedChannel == false">

<%-- first card of deck --%>
<card id="desktop" title="<dtpc:getStringProperty key="productName"/>" newcontext="true">

  <%-- Set the options --%>
  <%@ include file="options.jsp" %>

  <%-- Logo and product section --%>
  <p align="left">
    <img alt="<dtpc:getStringProperty key="productName"/>" src="<dt:scontent/>/images/MAP/<%=imageName%>"/>
  </p>

  <%-- main menu --%>
  <p align="left" mode="nowrap">
    <jx:choose>
      <jx:when test="$channelsAreMinimized == false">
        <%@ include file="channelMenuSection.jsp" %>
      </jx:when>
      <jx:otherwise>
        <%@ include file="minimizedChannelMenuSection.jsp" %>
      </jx:otherwise>
    </jx:choose>
    <a href="<dtpc:getLogoutURL/>">ログアウト</a>
  </p>

</card>

<%-- Channels cards only if inline is true--%>
<jx:if test="$channelsAreMinimized == false">
  <%@ include file="channelsCards.jsp" %>
</jx:if>

</jx:when>
<jx:otherwise>

    <dtcpc:obtainChannelFromContainer channel="$maximizedChannel">
     <card id="max" title="<dt:getTitle/>" >
            <dt:isEditable id="isEditable"/>
            <dt:getName id="channelName"/>
            <jx:if test="$isEditable == true">

                <%
                    Map map = new HashMap();
                    map.put("action", "edit");
                    map.put("targetprovider", pageContext.getAttribute("channelName"));
                    map.put("provider", wcp.getStringProperty("editContainerName"));
                    pageContext.setAttribute("desktop_qmap", map);
                %>
                  <do  type="options" label="編集">
                      <go href="<dtpc:getDesktopURL querymap="$desktop_qmap" escape="true"/>"/>
                  </do>
            </jx:if>
   </dtcpc:obtainChannelFromContainer>
   <dtcpc:getContent channel="$maximizedChannel"/>
   </card>

</jx:otherwise>
</jx:choose>

</wml>
</dt:obtainContainer>
