<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="layoutSetup.jsp" %>

<dt:obtainContainer container="$wireless"> 

<%-- The presentation of layout edit page --%>
<wml>

  <jx:choose>
  <jx:when test="$hasMovableChannels == true">

  <card id="Layout" title="安排频道">

    <do type="prev" label="上一步">
      <prev/>
    </do>

    <p align="left" mode="nowrap">
      <jx:forEach var="channel" items="$orderedChannelList">
        <dtcpc:obtainChannelFromContainer channel="$channel">
          <anchor title="移动"><dt:getTitle/>
            <go href="#Move">
              <setvar name="movingChannel" value="<dt:getName/>"/>
            </go>
          </anchor><br/>
        </dtcpc:obtainChannelFromContainer>
      </jx:forEach>
      <anchor title="主页">门户主页
        <go href="<dtpc:getDesktopURL/>"/>
      </anchor><br/>
    </p>
  </card>

  <card id="Move">
    <do type="prev" label="返回">
      <prev/>
    </do>

    <%-- set next url --%> 
    <%
        String qstr = "action=edit&provider=WirelessJSPLayoutChannel&container="+container;
        pageContext.setAttribute("nexturl", cpc.getDesktopURL(request, qstr, true));
    %>



    <p align="left" mode="nowrap">
      <anchor title="上移">上移
        <go method="post" href="<%=desktopURL%>">
          <postfield name="action" value="process"/>
          <postfield name="provider" value="WirelessJSPLayoutChannel"/>
          <postfield name="container" value="<%=container%>"/>
          <postfield name="moveUp" value="$(movingChannel)"/>
          <postfield name="nextURL" value="<%=pageContext.getAttribute("nexturl").toString()%>"/>
        </go>
      </anchor>
      <br/>
      <anchor title="下移">下移
        <go method="post" href="<%=desktopURL%>">
          <postfield name="action" value="process"/>
          <postfield name="provider" value="WirelessJSPLayoutChannel"/>
          <postfield name="container" value="<%=container%>"/>
          <postfield name="moveDown" value="$(movingChannel)"/>
          <postfield name="nextURL" value="<%=pageContext.getAttribute("nexturl").toString()%>"/>
        </go>
      </anchor>
    </p>
  </card>
  </jx:when>
  <jx:otherwise>
    <card id="LayoutEmpty" title="安排频道">
    <do type="prev" label="返回">
      <prev/>
    </do>
    <p align="left" mode="nowrap">
    <b>没有可移动的频道。无法更改布局</b>
    </p>
    <p>
    <anchor title="主页">主页
        <go href="<dtpc:getDesktopURL/>" method="get"/>
    </anchor>
   </p>
    </card>
   </jx:otherwise>
   </jx:choose>
    
</wml>

</dt:obtainContainer>
